@charset "UTF-8";

* {
    margin: 0;
    padding: 0;
}

/* フォント */

/* ヘッダーここから */

p.line0 {
   border-bottom: 2px solid #664b4f;
}

/*メインビジュアル*/
header .main-visual {
    height: 100vh;
    background-image: url(../images/home1.jpg);
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

/*  ナビここから */
header nav {
    width: 35%;
    padding: 2%;
    margin-left: auto;
    margin-right: auto;
}

header nav ul {
    display: flex;
    list-style-type: none;
}

header nav ul li {
    width: calc( 100% / 4 );
}

header nav ul li a {
    display: block;
    font-size: 1.5vw;
    text-align: center;
    text-decoration: none;
    color: #fff6ee;
    transition: 0.5s
}

header nav ul li a:hover {
    border-radius: 0.5vw;
    color: #664b4f;
    transition: 0.5s;
}

.index {
    position: relative;
    font-size: 1vw;
}

.index:hover::before {
    width: 100%;
    transition: 0.5s;
}

.index::before {
    position: absolute;
    bottom: 0;
    display: block;
    content: "";
    width: 0%;
    height:  0.1vw;
    background-color: #664b4f;
    transition: 0.5s;
}

.about {
    position: relative;
    font-size: 1vw;
}

.about:hover::before {
    width: 100%;
    transition: 0.5s;
}

.about::before {
    position: absolute;
    bottom: 0;
    display: block;
    content: "";
    width: 0%;
    height:  0.1vw;
    background-color: #664b4f;
    transition: 0.5s;
}

.works {
    position: relative;
    font-size: 1vw;
}

.works:hover::before {
    width: 100%;
    transition: 0.5s;
}

.works::before {
    position: absolute;
    bottom: 0;
    display: block;
    content: "";
    width: 0%;
    height:  0.1vw;
    background-color: #664b4f;
    transition: 0.5s;
}

.contact {
    position: relative;
    font-size: 1vw;
}

.contact:hover::before {
    width: 100%;
    transition: 0.5s;
}

.contact::before {
    position: absolute;
    bottom: 0;
    display: block;
    content: "";
    width: 0%;
    height:  0.1vw;
    background-color: #664b4f;
    transition: 0.5s;
}
/* ナビここまで */

header .main-visual h1 {
    padding-top:10%;
    font-weight: 500;
    font-size: 7vw;
    text-align: center;
    letter-spacing: 0.1em;
    color: #dc9f95;
}

header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(1) {
    animation: font1 3s forwards;
}

@keyframes font1 {
    10% {
        color: #664b4f;
    }
 
    100% {
        color: #6e5054;
    }
}

header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
}

header h1 span:nth-of-type(2) {
    animation: font2 3s forwards;
}

@keyframes font2 {
    20% {
        color: #664b4f;
    }

    100% {
        color: #765658;
    }
}

header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(3) {
    animation: font3 3s forwards;
}

@keyframes font3 {
    30% {
        color: #664b4f;
    }
 
    100% {
        color: #7f5d5e;
    }
}

header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(4) {
    margin-left: 5%;
    animation: font4 3s forwards;
}

@keyframes font4 {
    40% {
        color: transparent;
    }
    50% {
        color: transparent;
    }
}

header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(5) {
    animation: font5 3s forwards;
}

@keyframes font5 {
    40% {
        color: #664b4f;
    }
 
    100% {
        color: #8a6565;
    }
}

header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(6) {
    animation: font6 3s forwards;
}

@keyframes font6 {
    50% {
        color: #664b4f;
    }
    
    100% {
        color: #a17572;
    }
}
header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(7) {
    animation: font7 3s forwards;
}

@keyframes font7 {
    60% {
        color: #664b4f;
    }
   
    100% {
        color: #ad7d79;
    }
}
header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(8) {
    animation: font8 3s forwards;
}

@keyframes font8 {
    70% {
        color: #664b4f;
    }
  
    100% {
        color: #bc8882;
    }
}
header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(9) {
    animation: font9 3s forwards;
}

@keyframes font9 {
    80% {
        color: #664b4f;
    }
    100% {
        color: #d0968e;
    }
}
header h1 {
    width: fit-content;
    margin-top: 10%;
    margin-left: auto;
    margin-right: auto;
    font-size: 5vw;
    color: transparent;
}

header h1 span:nth-of-type(10) {
    animation: font10 3s forwards;
}

@keyframes font10 {
    90% {
        color: #664b4f;
    }
    100% {
        color: #dc9f95;
    }
}

header .main-visual p {
    font-size: 5vw;
    text-align: center;
    letter-spacing: 0.1em;
    color: #664b4f;  
}
/* ヘッダーここまで */

p.line1 {
   border-bottom: 2px solid #664b4f;
}

/* About meここから */
.aboutme-box {
    display: flex;
    width: 60%;
    margin: 0 auto;
    opacity: 0;
    transition: 1s;
    transform: translateY(50px);
}

.aboutme-box h2 {
    margin-top: 9%;
    margin-bottom: 4%;
    font-size: 2vw;
    font-weight: 400;
    color: #664b4f;
}

.aboutme-box p {
    padding-top: 10.5%;
    margin-left: 3%;
    margin-bottom: 3%;
    font-size: 1.1vw;
    font-weight: 400;
    color: #664b4f;
}

.about-flex-box {
    display: flex;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

.about-img-box {
    width: 40%;
}

.about-flex-box img {
    width: 100%;
}

.profile-box {
    width: 55%;
    margin-right: 5%;
}

.profile-box h3 {
    padding-top: 5%;
    margin-bottom: 2%;
    font-size: 1.8vw;
    font-weight: 400;
    white-space: pre-wrap;
    color: #664b4f;
}

.profile-box p {
    line-height: 1.6;
    font-size: 1.2vw;
    white-space: pre-wrap;
    color: #664b4f;
}

.about-button-box {
    width: 20%;
    margin-bottom: 7%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    border-radius: 0.5vw;
    color: #664b4f;
    font-size: 1.1vw;
    font-weight: 400;
    line-height: 1;
    background-color: #dc9f95;
}

.about-button-box a {
    display: block;
    border: 2px solid transparent;
    text-align: center;
    line-height: 2;
    text-decoration: none;
    color: #664b4f;
    transition: 0.5s
}

.about-button-box a:hover {
    border: 2px solid #664b4f;
    border-radius: 0.5vw;
    color: #664b4f;
    background-color: #fff6ee;
    transition: 0.5s;
}

.about-button span {
    margin-left: 4%;
}
/* about meここまで */

p.line2 {
   border-bottom: 2px solid #664b4f;
}

/* worksここから */
.works-box {
    display: flex;
    width: 60%;
    margin: 0 auto;
    opacity: 0;
    transition: 1s;
    transform: translateY(50px);
}

.isAnimate {
    opacity: 1;
    transform: translateY(0px);
}

.works-link-box {
    list-style-image: url(../images/icon3.jpeg);
}

.works-box h2 {
    margin-top: 9%;
    margin-bottom: 4%;
    font-size: 2vw;
    font-weight: 400;
    color: #664b4f;
}

.works-box p {
    padding-top: 10.5%;
    margin-left: 3%;
    font-size: 1.1vw;
    font-weight: 400;
    color: #664b4f;
}

.works-flex-box {
    display: flex;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

.works-flex-box ul {
    margin-left: 20%;
}

.works-link-box a {
    display: block;
    font-size: 1.5vw;
    text-decoration: none;
    color: #664b4f;
    transition: 0.5s
}

.works-link-box a:hover {
    border-radius: 0.5vw;
    color: #806C59;
    transition: 0.5s;
}

.works-img-box {
    width: 25%;
}

.works-img-box img {
    width: 100%;
    vertical-align: bottom;
}

.works-link-box {
    width: 25%;
    padding: 5%;
    background-color: #FEFFF9;
}

.works-button {
    width: 20%;
    margin-bottom: 7%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    border-radius: 0.5vw;
    color: #664b4f;
    font-size: 1.1vw;
    font-weight: 400;
    line-height: 1;
    background-color: #dc9f95;
}

.works-button a {
    display: block;
    border: 2px solid transparent;
    text-align: center;
    line-height: 2;
    text-decoration: none;
    color: #664b4f;
    transition: 0.5s
}

.works-button a:hover {
    border: 2px solid #664b4f;
    border-radius: 0.5vw;
    color: #664b4f;
    background-color: #fff6ee;
    transition: 0.5s;
}

.works-button span {
    margin-left: 4%;
}
/* about meここまで */

p.line3 {
   border-bottom: 2px solid #664b4f;
}

.contact-form {
    height: 45vh;
    background-image: url(../images/contact.jpg);
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

/* contact　お問い合わせ */
.contact-form a {
    display: block;
    text-decoration: none;
}

.contact-form h3 {
    padding-top:5%;
    font-weight: 500;
    font-size: 4.5vw;
    text-align: center;
    letter-spacing: 0.1em;
    color: #664b4f;
}

.contact-form p {
    font-size: 1.2vw;
    text-align: center;
    letter-spacing: 0.1em;
    color: #664b4f; 
}

p.line4 {
   border-bottom: 2px solid #664b4f;
}

/* Topへ戻る */
html {
    scroll-behavior: smooth;
}

.return {
    position: fixed;
    text-align: center;    
    line-height: 3;
    right: 50px;
    bottom: 50px;
    width: 5vw;
    height: 5vw;
    color: #664b4f;
    background-color: #fff6ee;
    border: 2px solid #dc9f95;
    border-radius: 5vw;
    white-space: pre-wrap;
}

.return a {
    color: #806C59;
    text-decoration: none;
}

/* フッターここから */
footer {
    padding-top: 1%;
    padding-right: 6%;
    padding-bottom: 1%;
    padding-left: 6%;
    background-image: url(../images/free2.jpg);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    color: #664b4f;
}

.footer-flexbox {
    width: 35%;
    padding: 2%;
    margin-left: auto;
    margin-right: auto;
}

footer  ul {
    display: flex;
    list-style-type: none;
}

footer ul li {
    width: calc( 100% / 4 );
}

footer ul li a {
    display: block;
    font-size: 1.5vw;
    text-align: center;
    text-decoration: none;
    color: #806C59;
    transition: 0.5s
}

footer ul li a:hover {
    border-radius: 0.5vw;
    color: #664b4f;
    transition: 0.5s;
}

footer span {
    margin-right: 1%;
}

footer p {
    margin-top: 2%;
    text-align: center;
    font-size: 1.5vw;
}
/* フッターここまで 